List all teams
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/teams \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/teams"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true,
"suite": "commercial",
"can_delete": true
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Teams
List all teams
List all teams available in the current account. With settings=true, returns the teams the caller may manage in settings (suite-scoped when applicable) and includes suite and can_delete on each row.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
teams
List all teams
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/teams \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/teams"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true,
"suite": "commercial",
"can_delete": true
}
]{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Query Parameters
Response
Success